
Summary: Aqualung is a music player for the GNU/Linux operating system
Name:	 aqualung
Version: 1.1
Release: %mkrel 5
License: GPL
Group: Sound
URL: http://aqualung.jeremyevans.net
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Source: %name-%version.tar.xz
Source1: rc
Patch3: aqualungnew_mac.patch
Patch4: %name-C11.patch
BuildRequires:	ladspa
BuildRequires:  desktop-file-utils
BuildRequires:	pkgconfig
BuildRequires:	libalsa-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libflac-devel
BuildRequires:	speex-devel
BuildRequires:	gtk2-devel >= 2.4
BuildRequires:	lib64xml2-devel
BuildRequires:	lib64cairo-devel
BuildRequires:	lib64jack-devel >= 0.103
BuildRequires:	lib64cddb-devel >= 1.2.1
BuildRequires:	lib64cdio-devel
BuildRequires:	lib64ffmpeg-devel
BuildRequires:	lib64id3tag-devel
BuildRequires:	lib64lrdf-devel >= 0.4
BuildRequires:	lib64ogg-devel
BuildRequires:	lib64mpcdec-devel
BuildRequires:	lib64modplug-devel
BuildRequires:	lib64oggz-devel >= 0.9.5
BuildRequires:	lib64samplerate-devel >= 0.1.2
BuildRequires:	lib64sndfile-devel >= 1.0.12
BuildRequires:	lib64usb-devel
BuildRequires:	lib64mad-devel
BuildRequires:	lib64raptor-devel >= 1.4.4
BuildRequires:	lib64wavpack-devel
BuildRequires:	lib64zlib-devel
BuildRequires:	lib64tiff-devel
BuildRequires: lib64usb-compat0.1-devel
BuildRequires: lib64ifp-devel
BuildRequires: lib64lua5.1-devel
# We don't have this
#BuildRequires: lib64mac-devel
Requires: alsa
Requires: cairo
Requires: flac
Requires: gtk2 >= 2.4
Requires: jackit >= 0.103
Requires: ladspa
Requires: gstreamer0.10-speex
Requires: soundtouch >= 1.3.1
Requires: taglib >= 1.4
Requires: wavpack
Requires: zlib
Requires: lib64lua5.1
Requires: lib64ifp4
Requires: lib64oggz2
Requires(post):	desktop-file-utils
Requires(postun): desktop-file-utils
Obsoletes:  %name < %version


%description
Aqualung is a music player for the GNU/Linux operating system.
It plays audio files from your filesystem and has the feature of
inserting no gaps between adjacent tracks. It also supports high
quality sample rate conversion between the file and the output
device, when necessary.
The program can play the music through OSS, ALSA or the JACK Audio
Connection Kit.
Aqualung supports the LADSPA 1.1 plugin standard. You can use any
suitable plugin to enhance the music you are listening to.
You can control any running instance of the program remotely from the
command line (start, stop, pause etc.). Remote loading or enqueueing
soundfiles as well as complete playlists is also supported.


%prep
%setup
%apply_patches
cp -af %SOURCE1 skin/plain/rc

%build
sh autogen.sh 
autoreconf
%configure2_5x \
	--disable-debug \
	--with-alsa=yes \
	--with-cdda=yes \
	--with-cddb=yes \
	--with-flac=yes \
	--with-ifp=yes \
	--with-jack=yes \
	--with-ladspa=yes \
	--with-lame=yes \
	--with-lavc=yes \
	--with-mac=no \
	--with-mpc=yes \
	--with-mpeg=yes \
	--with-mod=yes \
	--with-oss=yes \
	--with-sndfile=yes \
	--with-speex=yes \
	--with-src=yes \
	--with-pulse=yes \
	--with-vorbisenc=yes \
	--with-wavpack=yes \
	--with-transcoding=yes

# *64 patch
sed -i 's@/usr/lib/@%_libdir/@g' src/plugin.c

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# icon
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 src/img/icon_48.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

# Menu launcher
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Encoding=UTF-8
Comment=Aqualung is a music player for the GNU/Linux operating system
Terminal=false
Exec=%{name} --output pulse -R -N 0 --tab=Default %F
Icon=%{name}
Name=Aqualung
MimeType=application/ogg;audio/x-vorbis+ogg;application/x-ogg;audio/mp3;audio/prs.sid;audio/x-flac;audio/mpeg;audio/x-mpeg;audio/x-mod;audio/x-it;audio/x-s3m;audio/x-xm;
Categories=X-MandrivaLinux-Multimedia-Sound;Audio;
EOF

install -m 0644 %SOURCE1 %buildroot/%{_datadir}/aqualung/skin/plain/rc

%find_lang %{name}

%post 
%{update_desktop_database}
%{update_menus}

%postun 
%{clean_desktop_database}
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc %_defaultdocdir/aqualung
%{_bindir}/%{name}
%{_mandir}/man1/*
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Tue Feb 28 2023 tex - 1.1-5pclos2023
- add revoluz desktop file changes as if
- I have nothing better to do

* Thu Feb 23 2023 ken <lxgator at gmail.com> 1.1-4pclos2023
- Rebuild

* Sun Nov 21 2021 ken <lxgator at gmail.com> 1.1-3pclos2021
- Rebuild using default to launch app
- add create_config patch

* Sat Nov 13 2021 tex - 1.1-2pclos2021
- fix post script

* Fri Nov 12 2021 ken <lxgator at gmail.com> 1.1-1pclos2021
- Update to 1.1

* Tue Feb 02 2010 slick50 <lxgator@gmail.com> 0.9beta11-1pclos2010
- 0.9beta11

* Tue Dec 02 2009 Texstar <texstar at gmail.com> 0.9beta10-3pclos2010
- rebuild

* Sat Nov 20 2009 Texstar <texstar at gmail.com> 0.9beta10-2pclos2010
- remove obsolete dependency

* Sat Jun 06 2009 Texstar <texstar@gmail.com> 0.9beta10-1plcos2009
- 0.9beta10

* Sun Aug 10 2008 Slick50 <slick50@linuxgator.org> 0.9beta9.1-1pclos2007
- import to PCLinuxOS
